Notepad overview

Notepad is a basic text editor that you can use to create simple documents. The most common use for Notepad is to view or edit text (.txt) files, but many users find Notepad a simple tool for creating Web pages.

Because Notepad supports only very basic formatting, you cannot accidentally save special formatting in documents that need to remain pure text. This is especially useful when creating HTML documents for a Web page because special characters or other formatting may not appear in your published Web page or may even cause errors.

You can save your Notepad files as Unicode, ANSI, UTF-8, or big-endian Unicode. These formats provide you greater flexibility when working with documents that use different character sets.

Related Topics


Find specific characters or words

Microsoft Windows graphic

To find specific characters or words

  1. On the Edit menu, click Find.
  2. In Find what, type the characters or words you want to find.
  3. Click Find Next.

Notes

  • To find only text with uppercase and lowercase characters, as specified in Find what, select Match case.
  • You can specify which direction to search starting from the insertion point in the document. In Direction, click Up to search from the insertion point to the top. Click Down to search from the insertion point to the bottom.


Find and replace specific characters or words

To find and replace specific characters or words

  1. On the Edit menu, click Replace.
  2. In Find what, type the characters or words you want to find.
  3. In Replace with, type the replacement text.
  4. To replace all instances of the text at once, click Replace All. Or, to replace one instance at a time, click Find Next, and then click Replace.


Wrap text to the window size

To wrap text to the window size

  • On the Format menu, click Word Wrap.

Notes

  • A check mark appears when word wrap is turned on.
  • Wrapping text enables you to see all the text on the line, but it doesn't affect the way text appears when it is printed.


Go to a specific line

To go to a specific line

  1. On the Edit menu, click Go To.
  2. In Goto line, type the line number you want the cursor to jump to.

Notes

  • You do not have to have line numbers in your document for this command to work.
  • Lines are counted down the left margin beginning at the top of the document.


Cut, copy, paste, or delete text

To cut, copy, paste, or delete text

  • To cut text so you can move it to another location, select the text, and then on the Edit menu click Cut.
  • To copy text so you can paste it in another location, select the text, and then on the Edit menu click Copy.
  • To paste text you have cut or copied, place the cursor where you want to paste the text, and then on the Edit menu click Paste.
  • To delete text, select it, and then on the Edit menu click Delete.


Change the font style and size

To change the font style and size

  1. On the Format menu, click Font.
  2. Make your selections in Font, Font style, and Size.

Note

  • An example of how your font will look appears in Sample.


Create a header or footer

To create a header or footer

  1. On the File menu, click Page Setup.
  2. In the Header or Footer box, type the letter and character combination from the following table.
    3. To | Type
Insert the open file's name or (untitled) if the file has no name. | &f
Insert the date. | &d
Insert the time specified by your computer's clock. | &t
Insert page numbers. | &p
Insert an ampersand (&). | &&
Align the header or footer to the left, center, or right. | &l, &c, or &r

Notes

  • You can use more than one combination in the Header or Footer box. Leaving a space or two between each combination will make the header or footer easier to read.
  • To align text to the left, center, or right, you must first enter &l, &c, or &r in the Header or Footer box, followed by any other combinations you want to use.
  • You can also incorporate text with the combinations. For example, Page &p will print out as Page 1, Page 2, and so on.


Change the appearance of a printed Notepad document

To change the appearance of a printed Notepad document

  1. On the File menu, click Page Setup.
  2. In the Page Setup dialog box, do one of the following:
    • To change the paper size, click a size in the Size list.
    • To change the paper source, click a tray name or a feeder in the Source list.
    • To print the document vertically, click Portrait; to print the document horizontally, click Landscape.
    • To change the margins, type a width in any of the Margins boxes.
    • To change your printer settings, click Printer.


Print a Notepad document

To print a Notepad document

  1. On the File menu, click Print.
  2. On the General tab, select the printer and options you want, and then click Print.

Note

  • To change the look of your printed document, on the File menu, click Page Setup.


Insert the time and date in a document

To insert the time and date in a document

  1. Move the cursor to where you want to add the time and date.
  2. On the Edit menu, click Time/Date.


Append a log to a document

To append a log to a document

  1. On the first line of a Notepad document, type the following extension at the left margin, making sure you use all uppercase letters and include the period:

    .LOG

  2. On the File menu, click Save.

Note

  • Every time you open this document, Notepad will append the current time and date to the end of the document, as specified by your computer's clock.


Using different language formats in Notepad

Notepad allows you to create and open documents in several different formats: ANSI, Unicode, big-endian Unicode, or UTF-8. These formats allow you to work with documents that use different character sets.

By default, your documents will be saved as standard ANSI text.

Unicode is a superset of all the major scripts of the world. It includes character sets common to business and computer use. When you save a document in Unicode, you can use Unicode control characters to help with text flow and direction for languages such as Arabic and Hebrew.

Some fonts cannot display all of the Unicode characters. If you see any characters missing in your text file, you can change the font to one that includes the character. Generally, Microsoft Sans Serif is a good choice for Unicode characters.

The bytes (a unit of storage) in a word in a Unicode document created on a big-endian processor, such as the Macintosh, are arranged in an order opposite to that of the bytes in a word in a document created on an Intel processor. The most significant byte has the lowest address, with the word stored big end first. To make your documents accessible to users on these types of computers, save your Notepad file in the big-endian Unicode format.

UTF stands for Universal Character Set Transformation Format. UTF-8 is the 8-bit form of Unicode. Save your document in UTF-8 if you are using older transmission media that support only 8 bits of significant data within individual bytes.

See the Unicode Consortium Web site for more information on these formats.

Note

  • XOX